explain_getw_or_die(3)

NAME
explain_getw_or_die - input a word (int) and report errors
    "input a word (int) and report errors"

SYNOPSIS
#include <libexplain/getw.h>

int explain_getw_or_die(FILE *fp);
int explain_getw_on_error(FILE *fp);

DESCRIPTION
The explain_getw_or_die function is used to call the getw(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_getw(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_getw_on_error function is used to call the getw(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_getw(3) function, but still returns to the caller.

fp  The fp, exactly as to be passed to the getw(3) system call.

RETURN VALUE
The explain_getw_or_die function only returns on success, see getw(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_getw_on_error function always returns the value return by the wrapped getw(3) system call.

EXAMPLE
The explain_getw_or_die function is intended to be used in a fashion similar to the following example:
    int result = explain_getw_or_die(fp);

SEE ALSO

getw(3)
    input a word (int)

explain_getw(3)
    explain getw(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2010 Peter Miller